# Makefile.in generated by automake 1.14.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@



VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
DIST_COMMON = $(top_srcdir)/build-aux/Makefile.am.common \
	$(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/build-aux/depcomp \
	$(am__gingaccmbinclude_HEADERS_DIST) \
	$(am__interfaceinclude_HEADERS_DIST) ChangeLog
subdir = gingacc-mb
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/build-aux/ax_compare_version.m4 \
	$(top_srcdir)/build-aux/ax_lib_curl.m4 \
	$(top_srcdir)/build-aux/ax_lib_expat.m4 \
	$(top_srcdir)/build-aux/ax_path_generic.m4 \
	$(top_srcdir)/build-aux/ax_pthread.m4 \
	$(top_srcdir)/build-aux/ax_xercesc.m4 \
	$(top_srcdir)/build-aux/lib-ld.m4 \
	$(top_srcdir)/build-aux/lib-link.m4 \
	$(top_srcdir)/build-aux/lib-prefix.m4 \
	$(top_srcdir)/build-aux/libtool.m4 \
	$(top_srcdir)/build-aux/ltoptions.m4 \
	$(top_srcdir)/build-aux/ltsugar.m4 \
	$(top_srcdir)/build-aux/ltversion.m4 \
	$(top_srcdir)/build-aux/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(gingaccmblibdir)" \
	"$(DESTDIR)$(gingaccmbconfdir)" \
	"$(DESTDIR)$(gingaccmbincludedir)" \
	"$(DESTDIR)$(interfaceincludedir)"
LTLIBRARIES = $(gingaccmblib_LTLIBRARIES)
libgingaccmb_la_LIBADD =
am__dirstamp = $(am__leading_dot)dirstamp
am_libgingaccmb_la_OBJECTS = src/libgingaccmb_la-InputManager.lo \
	src/libgingaccmb_la-LocalScreenManager.lo \
	src/interface/libgingaccmb_la-CodeMap.lo \
	src/interface/libgingaccmb_la-InputEventFactory.lo \
	src/interface/libgingaccmb_la-Matrix.lo
libgingaccmb_la_OBJECTS = $(am_libgingaccmb_la_OBJECTS)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
libgingaccmb_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) \
	$(libgingaccmb_la_LDFLAGS) $(LDFLAGS) -o $@
libgingaccmbdecsdlap_la_LIBADD =
am_libgingaccmbdecsdlap_la_OBJECTS = src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDLAudioProvider.lo \
	src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDL2ffmpeg.lo
libgingaccmbdecsdlap_la_OBJECTS =  \
	$(am_libgingaccmbdecsdlap_la_OBJECTS)
libgingaccmbdecsdlap_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(libgingaccmbdecsdlap_la_CXXFLAGS) $(CXXFLAGS) \
	$(libgingaccmbdecsdlap_la_LDFLAGS) $(LDFLAGS) -o $@
libgingaccmbdecsdlav_la_LIBADD =
am_libgingaccmbdecsdlav_la_OBJECTS = src/interface/sdl/content/video/libgingaccmbdecsdlav_la-SDLVideoProvider.lo
libgingaccmbdecsdlav_la_OBJECTS =  \
	$(am_libgingaccmbdecsdlav_la_OBJECTS)
libgingaccmbdecsdlav_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(libgingaccmbdecsdlav_la_CXXFLAGS) $(CXXFLAGS) \
	$(libgingaccmbdecsdlav_la_LDFLAGS) $(LDFLAGS) -o $@
libgingaccmbdecsdlf_la_LIBADD =
am_libgingaccmbdecsdlf_la_OBJECTS = src/interface/sdl/content/text/libgingaccmbdecsdlf_la-SDLFontProvider.lo
libgingaccmbdecsdlf_la_OBJECTS = $(am_libgingaccmbdecsdlf_la_OBJECTS)
libgingaccmbdecsdlf_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(libgingaccmbdecsdlf_la_CXXFLAGS) $(CXXFLAGS) \
	$(libgingaccmbdecsdlf_la_LDFLAGS) $(LDFLAGS) -o $@
libgingaccmbdecsdlimg_la_LIBADD =
am_libgingaccmbdecsdlimg_la_OBJECTS = src/interface/sdl/content/image/libgingaccmbdecsdlimg_la-SDLImageProvider.lo
libgingaccmbdecsdlimg_la_OBJECTS =  \
	$(am_libgingaccmbdecsdlimg_la_OBJECTS)
libgingaccmbdecsdlimg_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(libgingaccmbdecsdlimg_la_CXXFLAGS) $(CXXFLAGS) \
	$(libgingaccmbdecsdlimg_la_LDFLAGS) $(LDFLAGS) -o $@
libgingaccmbsdl_la_LIBADD =
am_libgingaccmbsdl_la_OBJECTS =  \
	src/interface/sdl/libgingaccmbsdl_la-SDLDeviceScreen.lo \
	src/interface/sdl/input/libgingaccmbsdl_la-SDLEventBuffer.lo \
	src/interface/sdl/input/libgingaccmbsdl_la-SDLInputEvent.lo \
	src/interface/sdl/output/libgingaccmbsdl_la-SDLSurface.lo \
	src/interface/sdl/output/libgingaccmbsdl_la-SDLWindow.lo
libgingaccmbsdl_la_OBJECTS = $(am_libgingaccmbsdl_la_OBJECTS)
libgingaccmbsdl_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) \
	$(libgingaccmbsdl_la_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_@AM_V@)
am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(libgingaccmb_la_SOURCES) \
	$(libgingaccmbdecsdlap_la_SOURCES) \
	$(libgingaccmbdecsdlav_la_SOURCES) \
	$(libgingaccmbdecsdlf_la_SOURCES) \
	$(libgingaccmbdecsdlimg_la_SOURCES) \
	$(libgingaccmbsdl_la_SOURCES)
DIST_SOURCES = $(libgingaccmb_la_SOURCES) \
	$(libgingaccmbdecsdlap_la_SOURCES) \
	$(libgingaccmbdecsdlav_la_SOURCES) \
	$(libgingaccmbdecsdlf_la_SOURCES) \
	$(libgingaccmbdecsdlimg_la_SOURCES) \
	$(libgingaccmbsdl_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(gingaccmbconf_DATA)
am__gingaccmbinclude_HEADERS_DIST = include/mb/IInputManager.h \
	include/mb/ILocalScreenManager.h include/mb/IMBDefs.h \
	include/mb/LocalScreenManager.h
am__interfaceinclude_HEADERS_DIST = include/mb/interface/CodeMap.h \
	include/mb/interface/ICmdEventListener.h \
	include/mb/interface/IContinuousMediaProvider.h \
	include/mb/interface/IDataBuffer.h \
	include/mb/interface/IDeviceScreen.h \
	include/mb/interface/IDiscreteMediaProvider.h \
	include/mb/interface/IEventBuffer.h \
	include/mb/interface/IFontProvider.h \
	include/mb/interface/IImageProvider.h \
	include/mb/interface/IInputEvent.h \
	include/mb/interface/IInputEventListener.h \
	include/mb/interface/IMediaProvider.h \
	include/mb/interface/IMotionEventListener.h \
	include/mb/interface/IProviderListener.h \
	include/mb/interface/ISurface.h include/mb/interface/IWindow.h
HEADERS = $(gingaccmbinclude_HEADERS) $(interfaceinclude_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AS = @AS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AVCODEC_REQUIRED_VERSION = @AVCODEC_REQUIRED_VERSION@
AVDEVICE_REQUIRED_VERSION = @AVDEVICE_REQUIRED_VERSION@
AVFILTER_REQUIRED_VERSION = @AVFILTER_REQUIRED_VERSION@
AVFORMAT_REQUIRED_VERSION = @AVFORMAT_REQUIRED_VERSION@
AVUTIL_REQUIRED_VERSION = @AVUTIL_REQUIRED_VERSION@
AWK = @AWK@
BERKELIUM_LIBS = @BERKELIUM_LIBS@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONVERT = @CONVERT@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CURL_CFLAGS = @CURL_CFLAGS@
CURL_CONFIG = @CURL_CONFIG@
CURL_LIBS = @CURL_LIBS@
CURL_REQUIRED_VERSION = @CURL_REQUIRED_VERSION@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DL_LIBS = @DL_LIBS@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXPAT_CFLAGS = @EXPAT_CFLAGS@
EXPAT_LDFLAGS = @EXPAT_LDFLAGS@
EXPAT_LIBS = @EXPAT_LIBS@
EXPAT_REQUIRED_VERSION = @EXPAT_REQUIRED_VERSION@
EXPAT_VERSION = @EXPAT_VERSION@
FFMPEG_CFLAGS = @FFMPEG_CFLAGS@
FFMPEG_LIBS = @FFMPEG_LIBS@
FGREP = @FGREP@
GREP = @GREP@
HAVE_LIBXERCES_C = @HAVE_LIBXERCES_C@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JPEG_LIBS = @JPEG_LIBS@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIBXERCES_C = @LIBXERCES_C@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LTLIBXERCES_C = @LTLIBXERCES_C@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NCLUA_CFLAGS = @NCLUA_CFLAGS@
NCLUA_LIBS = @NCLUA_LIBS@
NCLUA_REQUIRED_VERSION = @NCLUA_REQUIRED_VERSION@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
POSTPROC_REQUIRED_VERSION = @POSTPROC_REQUIRED_VERSION@
PTHREAD_CC = @PTHREAD_CC@
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
PTHREAD_LIBS = @PTHREAD_LIBS@
RANLIB = @RANLIB@
RT_LIBS = @RT_LIBS@
SDL2IMAGE_CFLAGS = @SDL2IMAGE_CFLAGS@
SDL2IMAGE_LIBS = @SDL2IMAGE_LIBS@
SDL2TTF_CFLAGS = @SDL2TTF_CFLAGS@
SDL2TTF_LIBS = @SDL2TTF_LIBS@
SDL2_CFLAGS = @SDL2_CFLAGS@
SDL2_IMAGE_REQUIRE_VERSION = @SDL2_IMAGE_REQUIRE_VERSION@
SDL2_LIBS = @SDL2_LIBS@
SDL2_REQUIRED_VERSION = @SDL2_REQUIRED_VERSION@
SDL2_TTF_REQUIRED_VERSION = @SDL2_TTF_REQUIRED_VERSION@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
SWRESAMPLE_REQUIRED_VERSION = @SWRESAMPLE_REQUIRED_VERSION@
SWSCALE_REQUIRED_VERSION = @SWSCALE_REQUIRED_VERSION@
VERSION = @VERSION@
X11_CFLAGS = @X11_CFLAGS@
X11_LIBS = @X11_LIBS@
XERCESC_CFLAGS = @XERCESC_CFLAGS@
XERCESC_LIBS = @XERCESC_LIBS@
XERCESC_REQUIRED_VERSION = @XERCESC_REQUIRED_VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
ax_pthread_config = @ax_pthread_config@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
gingacccmincludedir = @gingacccmincludedir@
gingacccmlibdir = @gingacccmlibdir@
gingacccontextmanagerincludedir = @gingacccontextmanagerincludedir@
gingacccontextmanagerlibdir = @gingacccontextmanagerlibdir@
gingaccdataprocessingincludedir = @gingaccdataprocessingincludedir@
gingaccdataprocessinglibdir = @gingaccdataprocessinglibdir@
gingaccicincludedir = @gingaccicincludedir@
gingacciclibdir = @gingacciclibdir@
gingaccmbincludedir = @gingaccmbincludedir@
gingaccmblibdir = @gingaccmblibdir@
gingaccmultideviceincludedir = @gingaccmultideviceincludedir@
gingaccmultidevicelibdir = @gingaccmultidevicelibdir@
gingaccplayerincludedir = @gingaccplayerincludedir@
gingaccplayerlibdir = @gingaccplayerlibdir@
gingaccsystemincludedir = @gingaccsystemincludedir@
gingaccsystemlibdir = @gingaccsystemlibdir@
gingacctsparserincludedir = @gingacctsparserincludedir@
gingacctsparserlibdir = @gingacctsparserlibdir@
gingacctunerincludedir = @gingacctunerincludedir@
gingacctunerlibdir = @gingacctunerlibdir@
gingaconfdir = @gingaconfdir@
gingaincludedir = @gingaincludedir@
gingalibdir = @gingalibdir@
gingalssmincludedir = @gingalssmincludedir@
gingalssmlibdir = @gingalssmlibdir@
ginganclincludedir = @ginganclincludedir@
gingancllibdir = @gingancllibdir@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
ncl30converterincludedir = @ncl30converterincludedir@
ncl30converterlibdir = @ncl30converterlibdir@
ncl30includedir = @ncl30includedir@
ncl30libdir = @ncl30libdir@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
telemidiautilincludedir = @telemidiautilincludedir@
telemidiautillibdir = @telemidiautillibdir@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
LTLDFLAGS = -avoid-version -no-undefined -export-dynamic -rpath $(gingalibdir)
MAINTAINERCLEANFILES = Makefile.in
INCLUDE_TELEMIDIA_UTIL = -I$(top_srcdir)/telemidia-util/include
INCLUDE_GINGACC_SYSTEM = -I$(top_srcdir)/gingacc-system/include
INCLUDE_GINGACC_CM = -I$(top_srcdir)/gingacc-cm/include
INCLUDE_GINGACC_IC = -I$(top_srcdir)/gingacc-ic/include
INCLUDE_GINGACC_MB = -I$(top_srcdir)/gingacc-mb/include
INCLUDE_GINGACC_CONTEXTMANAGER = -I$(top_srcdir)/gingacc-contextmanager/include
INCLUDE_GINGACC_MULTIDEVICE = -I$(top_srcdir)/gingacc-multidevice/include
INCLUDE_GINGACC_TUNER = -I$(top_srcdir)/gingacc-tuner/include
INCLUDE_GINGACC_TSPARSER = -I$(top_srcdir)/gingacc-tsparser/include
INCLUDE_GINGACC_DATAPROCESSING = -I$(top_srcdir)/gingacc-dataprocessing/include
INCLUDE_GINGACC_PLAYER = -I$(top_srcdir)/gingacc-player/include
INCLUDE_NCL30 = -I$(top_srcdir)/ncl30/include
INCLUDE_NCL30_CONVERTER = -I$(top_srcdir)/ncl30-converter/include
INCLUDE_GINGA_NCL = -I$(top_srcdir)/gingancl/include
INCLUDE_GINGA_LSSM = -I$(top_srcdir)/gingalssm/include

################################ Libraries #################################
AM_CPPFLAGS = \
  $(INCLUDE_TELEMIDIA_UTIL)\
  $(INCLUDE_GINGACC_SYSTEM)\
  $(INCLUDE_GINGACC_CM)\
  $(INCLUDE_GINGACC_MB)\
  $(NULL)

AM_CXXFLAGS = $(PTHREAD_CFLAGS)
AM_LDFLAGS = $(LTLDFLAGS) $(PTHREAD_LDFLAGS)
gingaccmblib_LTLIBRARIES = \
  libgingaccmb.la\
  libgingaccmbsdl.la\
  libgingaccmbdecsdlap.la\
  libgingaccmbdecsdlimg.la\
  libgingaccmbdecsdlf.la\
  libgingaccmbdecsdlav.la\
  $(NULL)


# gingacc-mb
libgingaccmb_la_CXXFLAGS = $(AM_CXXFLAGS) $(SDL2_CFLAGS) $(FFMPEG_CFLAGS)
libgingaccmb_la_LDFLAGS = $(AM_LDFLAGS) $(SDL2_LIBS) $(FFMPEG_LIBS)
libgingaccmb_la_SOURCES = \
  src/InputManager.cpp\
  src/LocalScreenManager.cpp\
  src/interface/CodeMap.cpp\
  src/interface/InputEventFactory.cpp\
  src/interface/Matrix.cpp\
  $(NULL)


# gingacc-mb-sdl (SDL)
libgingaccmbsdl_la_CXXFLAGS = $(AM_CXXFLAGS) $(SDL2_CFLAGS) $(X11_CFLAGS) $(FFMPEG_CFLAGS)
libgingaccmbsdl_la_LDFLAGS = $(AM_LDFLAGS) $(SDL2_LIBS) $(X11_LIBS) $(FFMPEG_LIBS)
libgingaccmbsdl_la_SOURCES = \
  src/interface/sdl/SDLDeviceScreen.cpp\
  src/interface/sdl/input/SDLEventBuffer.cpp\
  src/interface/sdl/input/SDLInputEvent.cpp\
  src/interface/sdl/output/SDLSurface.cpp\
  src/interface/sdl/output/SDLWindow.cpp\
  $(NULL)


# gingacc-mb-dec-sdl-ap (SDL Audio)
libgingaccmbdecsdlap_la_CXXFLAGS = \
  $(AM_CXXFLAGS) $(SDL2_CFLAGS) $(FFMPEG_CFLAGS)

libgingaccmbdecsdlap_la_LDFLAGS = \
  $(AM_LDFLAGS) $(SDL2_LIBS) $(FFMPEG_LIBS)

libgingaccmbdecsdlap_la_SOURCES = \
  src/interface/sdl/content/audio/SDLAudioProvider.cpp\
  src/interface/sdl/content/audio/SDL2ffmpeg.cpp\
  $(NULL)


# gingacc-mb-dec-sdl-img (SDL Image)
libgingaccmbdecsdlimg_la_CXXFLAGS = \
  $(AM_CXXFLAGS) $(SDL2_CFLAGS) $(SDL2IMAGE_CFLAGS)

libgingaccmbdecsdlimg_la_LDFLAGS = \
  $(AM_LDFLAGS) $(SDL2_LIBS) $(SDL2IMAGE_LIBS)

libgingaccmbdecsdlimg_la_SOURCES = \
  src/interface/sdl/content/image/SDLImageProvider.cpp


# gingacc-mb-dec-sdl-f (SDL Text)
libgingaccmbdecsdlf_la_CXXFLAGS = \
  $(AM_CXXFLAGS) $(SDL2_CFLAGS) $(SDL2TTF_CFLAGS)

libgingaccmbdecsdlf_la_LDFLAGS = \
  $(AM_LDFLAGS) $(SDL2_LIBS) $(SDL2TTF_LIBS)

libgingaccmbdecsdlf_la_SOURCES = \
  src/interface/sdl/content/text/SDLFontProvider.cpp\
  $(NULL)


# gingacc-mb-dec-sdl-av (SDL Audio/Video)
libgingaccmbdecsdlav_la_CXXFLAGS = \
  $(AM_CXXFLAGS) $(SDL2_CFLAGS) $(FFMPEG_CFLAGS)

libgingaccmbdecsdlav_la_LDFLAGS = \
  $(AM_LDFLAGS) $(SDL2_LIBS) $(FFMPEG_LIBS)

libgingaccmbdecsdlav_la_SOURCES = \
  src/interface/sdl/content/video/SDLVideoProvider.cpp\
  $(NULL)


################################# Headers ##################################
@INSTALL_HEADERS_TRUE@gingaccmbinclude_HEADERS = \
@INSTALL_HEADERS_TRUE@  include/mb/IInputManager.h\
@INSTALL_HEADERS_TRUE@  include/mb/ILocalScreenManager.h\
@INSTALL_HEADERS_TRUE@  include/mb/IMBDefs.h\
@INSTALL_HEADERS_TRUE@  include/mb/LocalScreenManager.h\
@INSTALL_HEADERS_TRUE@  $(NULL)

@INSTALL_HEADERS_TRUE@interfaceincludedir = $(gingaccmbincludedir)/interface
@INSTALL_HEADERS_TRUE@interfaceinclude_HEADERS = \
@INSTALL_HEADERS_TRUE@  include/mb/interface/CodeMap.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/ICmdEventListener.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IContinuousMediaProvider.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IDataBuffer.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IDeviceScreen.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IDiscreteMediaProvider.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IEventBuffer.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IFontProvider.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IImageProvider.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IInputEvent.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IInputEventListener.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IMediaProvider.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IMotionEventListener.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IProviderListener.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/ISurface.h\
@INSTALL_HEADERS_TRUE@  include/mb/interface/IWindow.h\
@INSTALL_HEADERS_TRUE@  $(NULL)


############################## Configuration ###############################
gingaccmbconfdir = $(gingaconfdir)/mb/config
gingaccmbconf_DATA = \
  files/config/input.cfg\
  $(NULL)

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/build-aux/Makefile.am.common $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu gingacc-mb/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu gingacc-mb/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(top_srcdir)/build-aux/Makefile.am.common:

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

install-gingaccmblibLTLIBRARIES: $(gingaccmblib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(gingaccmblib_LTLIBRARIES)'; test -n "$(gingaccmblibdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(gingaccmblibdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(gingaccmblibdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(gingaccmblibdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(gingaccmblibdir)"; \
	}

uninstall-gingaccmblibLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(gingaccmblib_LTLIBRARIES)'; test -n "$(gingaccmblibdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(gingaccmblibdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(gingaccmblibdir)/$$f"; \
	done

clean-gingaccmblibLTLIBRARIES:
	-test -z "$(gingaccmblib_LTLIBRARIES)" || rm -f $(gingaccmblib_LTLIBRARIES)
	@list='$(gingaccmblib_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}
src/$(am__dirstamp):
	@$(MKDIR_P) src
	@: > src/$(am__dirstamp)
src/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/$(DEPDIR)
	@: > src/$(DEPDIR)/$(am__dirstamp)
src/libgingaccmb_la-InputManager.lo: src/$(am__dirstamp) \
	src/$(DEPDIR)/$(am__dirstamp)
src/libgingaccmb_la-LocalScreenManager.lo: src/$(am__dirstamp) \
	src/$(DEPDIR)/$(am__dirstamp)
src/interface/$(am__dirstamp):
	@$(MKDIR_P) src/interface
	@: > src/interface/$(am__dirstamp)
src/interface/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/interface/$(DEPDIR)
	@: > src/interface/$(DEPDIR)/$(am__dirstamp)
src/interface/libgingaccmb_la-CodeMap.lo:  \
	src/interface/$(am__dirstamp) \
	src/interface/$(DEPDIR)/$(am__dirstamp)
src/interface/libgingaccmb_la-InputEventFactory.lo:  \
	src/interface/$(am__dirstamp) \
	src/interface/$(DEPDIR)/$(am__dirstamp)
src/interface/libgingaccmb_la-Matrix.lo:  \
	src/interface/$(am__dirstamp) \
	src/interface/$(DEPDIR)/$(am__dirstamp)

libgingaccmb.la: $(libgingaccmb_la_OBJECTS) $(libgingaccmb_la_DEPENDENCIES) $(EXTRA_libgingaccmb_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(libgingaccmb_la_LINK) -rpath $(gingaccmblibdir) $(libgingaccmb_la_OBJECTS) $(libgingaccmb_la_LIBADD) $(LIBS)
src/interface/sdl/content/audio/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/content/audio
	@: > src/interface/sdl/content/audio/$(am__dirstamp)
src/interface/sdl/content/audio/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/content/audio/$(DEPDIR)
	@: > src/interface/sdl/content/audio/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDLAudioProvider.lo:  \
	src/interface/sdl/content/audio/$(am__dirstamp) \
	src/interface/sdl/content/audio/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDL2ffmpeg.lo:  \
	src/interface/sdl/content/audio/$(am__dirstamp) \
	src/interface/sdl/content/audio/$(DEPDIR)/$(am__dirstamp)

libgingaccmbdecsdlap.la: $(libgingaccmbdecsdlap_la_OBJECTS) $(libgingaccmbdecsdlap_la_DEPENDENCIES) $(EXTRA_libgingaccmbdecsdlap_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(libgingaccmbdecsdlap_la_LINK) -rpath $(gingaccmblibdir) $(libgingaccmbdecsdlap_la_OBJECTS) $(libgingaccmbdecsdlap_la_LIBADD) $(LIBS)
src/interface/sdl/content/video/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/content/video
	@: > src/interface/sdl/content/video/$(am__dirstamp)
src/interface/sdl/content/video/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/content/video/$(DEPDIR)
	@: > src/interface/sdl/content/video/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/content/video/libgingaccmbdecsdlav_la-SDLVideoProvider.lo:  \
	src/interface/sdl/content/video/$(am__dirstamp) \
	src/interface/sdl/content/video/$(DEPDIR)/$(am__dirstamp)

libgingaccmbdecsdlav.la: $(libgingaccmbdecsdlav_la_OBJECTS) $(libgingaccmbdecsdlav_la_DEPENDENCIES) $(EXTRA_libgingaccmbdecsdlav_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(libgingaccmbdecsdlav_la_LINK) -rpath $(gingaccmblibdir) $(libgingaccmbdecsdlav_la_OBJECTS) $(libgingaccmbdecsdlav_la_LIBADD) $(LIBS)
src/interface/sdl/content/text/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/content/text
	@: > src/interface/sdl/content/text/$(am__dirstamp)
src/interface/sdl/content/text/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/content/text/$(DEPDIR)
	@: > src/interface/sdl/content/text/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/content/text/libgingaccmbdecsdlf_la-SDLFontProvider.lo:  \
	src/interface/sdl/content/text/$(am__dirstamp) \
	src/interface/sdl/content/text/$(DEPDIR)/$(am__dirstamp)

libgingaccmbdecsdlf.la: $(libgingaccmbdecsdlf_la_OBJECTS) $(libgingaccmbdecsdlf_la_DEPENDENCIES) $(EXTRA_libgingaccmbdecsdlf_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(libgingaccmbdecsdlf_la_LINK) -rpath $(gingaccmblibdir) $(libgingaccmbdecsdlf_la_OBJECTS) $(libgingaccmbdecsdlf_la_LIBADD) $(LIBS)
src/interface/sdl/content/image/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/content/image
	@: > src/interface/sdl/content/image/$(am__dirstamp)
src/interface/sdl/content/image/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/content/image/$(DEPDIR)
	@: > src/interface/sdl/content/image/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/content/image/libgingaccmbdecsdlimg_la-SDLImageProvider.lo:  \
	src/interface/sdl/content/image/$(am__dirstamp) \
	src/interface/sdl/content/image/$(DEPDIR)/$(am__dirstamp)

libgingaccmbdecsdlimg.la: $(libgingaccmbdecsdlimg_la_OBJECTS) $(libgingaccmbdecsdlimg_la_DEPENDENCIES) $(EXTRA_libgingaccmbdecsdlimg_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(libgingaccmbdecsdlimg_la_LINK) -rpath $(gingaccmblibdir) $(libgingaccmbdecsdlimg_la_OBJECTS) $(libgingaccmbdecsdlimg_la_LIBADD) $(LIBS)
src/interface/sdl/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl
	@: > src/interface/sdl/$(am__dirstamp)
src/interface/sdl/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/$(DEPDIR)
	@: > src/interface/sdl/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/libgingaccmbsdl_la-SDLDeviceScreen.lo:  \
	src/interface/sdl/$(am__dirstamp) \
	src/interface/sdl/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/input/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/input
	@: > src/interface/sdl/input/$(am__dirstamp)
src/interface/sdl/input/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/input/$(DEPDIR)
	@: > src/interface/sdl/input/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/input/libgingaccmbsdl_la-SDLEventBuffer.lo:  \
	src/interface/sdl/input/$(am__dirstamp) \
	src/interface/sdl/input/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/input/libgingaccmbsdl_la-SDLInputEvent.lo:  \
	src/interface/sdl/input/$(am__dirstamp) \
	src/interface/sdl/input/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/output/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/output
	@: > src/interface/sdl/output/$(am__dirstamp)
src/interface/sdl/output/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/interface/sdl/output/$(DEPDIR)
	@: > src/interface/sdl/output/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/output/libgingaccmbsdl_la-SDLSurface.lo:  \
	src/interface/sdl/output/$(am__dirstamp) \
	src/interface/sdl/output/$(DEPDIR)/$(am__dirstamp)
src/interface/sdl/output/libgingaccmbsdl_la-SDLWindow.lo:  \
	src/interface/sdl/output/$(am__dirstamp) \
	src/interface/sdl/output/$(DEPDIR)/$(am__dirstamp)

libgingaccmbsdl.la: $(libgingaccmbsdl_la_OBJECTS) $(libgingaccmbsdl_la_DEPENDENCIES) $(EXTRA_libgingaccmbsdl_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(libgingaccmbsdl_la_LINK) -rpath $(gingaccmblibdir) $(libgingaccmbsdl_la_OBJECTS) $(libgingaccmbsdl_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)
	-rm -f src/*.$(OBJEXT)
	-rm -f src/*.lo
	-rm -f src/interface/*.$(OBJEXT)
	-rm -f src/interface/*.lo
	-rm -f src/interface/sdl/*.$(OBJEXT)
	-rm -f src/interface/sdl/*.lo
	-rm -f src/interface/sdl/content/audio/*.$(OBJEXT)
	-rm -f src/interface/sdl/content/audio/*.lo
	-rm -f src/interface/sdl/content/image/*.$(OBJEXT)
	-rm -f src/interface/sdl/content/image/*.lo
	-rm -f src/interface/sdl/content/text/*.$(OBJEXT)
	-rm -f src/interface/sdl/content/text/*.lo
	-rm -f src/interface/sdl/content/video/*.$(OBJEXT)
	-rm -f src/interface/sdl/content/video/*.lo
	-rm -f src/interface/sdl/input/*.$(OBJEXT)
	-rm -f src/interface/sdl/input/*.lo
	-rm -f src/interface/sdl/output/*.$(OBJEXT)
	-rm -f src/interface/sdl/output/*.lo

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/libgingaccmb_la-InputManager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/libgingaccmb_la-LocalScreenManager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/$(DEPDIR)/libgingaccmb_la-CodeMap.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/$(DEPDIR)/libgingaccmb_la-InputEventFactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/$(DEPDIR)/libgingaccmb_la-Matrix.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/sdl/$(DEPDIR)/libgingaccmbsdl_la-SDLDeviceScreen.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/sdl/content/audio/$(DEPDIR)/libgingaccmbdecsdlap_la-SDL2ffmpeg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/sdl/content/audio/$(DEPDIR)/libgingaccmbdecsdlap_la-SDLAudioProvider.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/sdl/content/image/$(DEPDIR)/libgingaccmbdecsdlimg_la-SDLImageProvider.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/sdl/content/text/$(DEPDIR)/libgingaccmbdecsdlf_la-SDLFontProvider.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/sdl/content/video/$(DEPDIR)/libgingaccmbdecsdlav_la-SDLVideoProvider.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/sdl/input/$(DEPDIR)/libgingaccmbsdl_la-SDLEventBuffer.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/sdl/input/$(DEPDIR)/libgingaccmbsdl_la-SDLInputEvent.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/sdl/output/$(DEPDIR)/libgingaccmbsdl_la-SDLSurface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@src/interface/sdl/output/$(DEPDIR)/libgingaccmbsdl_la-SDLWindow.Plo@am__quote@

.cpp.o:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<

src/libgingaccmb_la-InputManager.lo: src/InputManager.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) -MT src/libgingaccmb_la-InputManager.lo -MD -MP -MF src/$(DEPDIR)/libgingaccmb_la-InputManager.Tpo -c -o src/libgingaccmb_la-InputManager.lo `test -f 'src/InputManager.cpp' || echo '$(srcdir)/'`src/InputManager.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/$(DEPDIR)/libgingaccmb_la-InputManager.Tpo src/$(DEPDIR)/libgingaccmb_la-InputManager.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/InputManager.cpp' object='src/libgingaccmb_la-InputManager.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) -c -o src/libgingaccmb_la-InputManager.lo `test -f 'src/InputManager.cpp' || echo '$(srcdir)/'`src/InputManager.cpp

src/libgingaccmb_la-LocalScreenManager.lo: src/LocalScreenManager.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) -MT src/libgingaccmb_la-LocalScreenManager.lo -MD -MP -MF src/$(DEPDIR)/libgingaccmb_la-LocalScreenManager.Tpo -c -o src/libgingaccmb_la-LocalScreenManager.lo `test -f 'src/LocalScreenManager.cpp' || echo '$(srcdir)/'`src/LocalScreenManager.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/$(DEPDIR)/libgingaccmb_la-LocalScreenManager.Tpo src/$(DEPDIR)/libgingaccmb_la-LocalScreenManager.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/LocalScreenManager.cpp' object='src/libgingaccmb_la-LocalScreenManager.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) -c -o src/libgingaccmb_la-LocalScreenManager.lo `test -f 'src/LocalScreenManager.cpp' || echo '$(srcdir)/'`src/LocalScreenManager.cpp

src/interface/libgingaccmb_la-CodeMap.lo: src/interface/CodeMap.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/libgingaccmb_la-CodeMap.lo -MD -MP -MF src/interface/$(DEPDIR)/libgingaccmb_la-CodeMap.Tpo -c -o src/interface/libgingaccmb_la-CodeMap.lo `test -f 'src/interface/CodeMap.cpp' || echo '$(srcdir)/'`src/interface/CodeMap.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/$(DEPDIR)/libgingaccmb_la-CodeMap.Tpo src/interface/$(DEPDIR)/libgingaccmb_la-CodeMap.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/CodeMap.cpp' object='src/interface/libgingaccmb_la-CodeMap.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/libgingaccmb_la-CodeMap.lo `test -f 'src/interface/CodeMap.cpp' || echo '$(srcdir)/'`src/interface/CodeMap.cpp

src/interface/libgingaccmb_la-InputEventFactory.lo: src/interface/InputEventFactory.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/libgingaccmb_la-InputEventFactory.lo -MD -MP -MF src/interface/$(DEPDIR)/libgingaccmb_la-InputEventFactory.Tpo -c -o src/interface/libgingaccmb_la-InputEventFactory.lo `test -f 'src/interface/InputEventFactory.cpp' || echo '$(srcdir)/'`src/interface/InputEventFactory.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/$(DEPDIR)/libgingaccmb_la-InputEventFactory.Tpo src/interface/$(DEPDIR)/libgingaccmb_la-InputEventFactory.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/InputEventFactory.cpp' object='src/interface/libgingaccmb_la-InputEventFactory.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/libgingaccmb_la-InputEventFactory.lo `test -f 'src/interface/InputEventFactory.cpp' || echo '$(srcdir)/'`src/interface/InputEventFactory.cpp

src/interface/libgingaccmb_la-Matrix.lo: src/interface/Matrix.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/libgingaccmb_la-Matrix.lo -MD -MP -MF src/interface/$(DEPDIR)/libgingaccmb_la-Matrix.Tpo -c -o src/interface/libgingaccmb_la-Matrix.lo `test -f 'src/interface/Matrix.cpp' || echo '$(srcdir)/'`src/interface/Matrix.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/$(DEPDIR)/libgingaccmb_la-Matrix.Tpo src/interface/$(DEPDIR)/libgingaccmb_la-Matrix.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/Matrix.cpp' object='src/interface/libgingaccmb_la-Matrix.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmb_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/libgingaccmb_la-Matrix.lo `test -f 'src/interface/Matrix.cpp' || echo '$(srcdir)/'`src/interface/Matrix.cpp

src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDLAudioProvider.lo: src/interface/sdl/content/audio/SDLAudioProvider.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbdecsdlap_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDLAudioProvider.lo -MD -MP -MF src/interface/sdl/content/audio/$(DEPDIR)/libgingaccmbdecsdlap_la-SDLAudioProvider.Tpo -c -o src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDLAudioProvider.lo `test -f 'src/interface/sdl/content/audio/SDLAudioProvider.cpp' || echo '$(srcdir)/'`src/interface/sdl/content/audio/SDLAudioProvider.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/sdl/content/audio/$(DEPDIR)/libgingaccmbdecsdlap_la-SDLAudioProvider.Tpo src/interface/sdl/content/audio/$(DEPDIR)/libgingaccmbdecsdlap_la-SDLAudioProvider.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/sdl/content/audio/SDLAudioProvider.cpp' object='src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDLAudioProvider.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbdecsdlap_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDLAudioProvider.lo `test -f 'src/interface/sdl/content/audio/SDLAudioProvider.cpp' || echo '$(srcdir)/'`src/interface/sdl/content/audio/SDLAudioProvider.cpp

src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDL2ffmpeg.lo: src/interface/sdl/content/audio/SDL2ffmpeg.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbdecsdlap_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDL2ffmpeg.lo -MD -MP -MF src/interface/sdl/content/audio/$(DEPDIR)/libgingaccmbdecsdlap_la-SDL2ffmpeg.Tpo -c -o src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDL2ffmpeg.lo `test -f 'src/interface/sdl/content/audio/SDL2ffmpeg.cpp' || echo '$(srcdir)/'`src/interface/sdl/content/audio/SDL2ffmpeg.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/sdl/content/audio/$(DEPDIR)/libgingaccmbdecsdlap_la-SDL2ffmpeg.Tpo src/interface/sdl/content/audio/$(DEPDIR)/libgingaccmbdecsdlap_la-SDL2ffmpeg.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/sdl/content/audio/SDL2ffmpeg.cpp' object='src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDL2ffmpeg.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbdecsdlap_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/sdl/content/audio/libgingaccmbdecsdlap_la-SDL2ffmpeg.lo `test -f 'src/interface/sdl/content/audio/SDL2ffmpeg.cpp' || echo '$(srcdir)/'`src/interface/sdl/content/audio/SDL2ffmpeg.cpp

src/interface/sdl/content/video/libgingaccmbdecsdlav_la-SDLVideoProvider.lo: src/interface/sdl/content/video/SDLVideoProvider.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbdecsdlav_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/sdl/content/video/libgingaccmbdecsdlav_la-SDLVideoProvider.lo -MD -MP -MF src/interface/sdl/content/video/$(DEPDIR)/libgingaccmbdecsdlav_la-SDLVideoProvider.Tpo -c -o src/interface/sdl/content/video/libgingaccmbdecsdlav_la-SDLVideoProvider.lo `test -f 'src/interface/sdl/content/video/SDLVideoProvider.cpp' || echo '$(srcdir)/'`src/interface/sdl/content/video/SDLVideoProvider.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/sdl/content/video/$(DEPDIR)/libgingaccmbdecsdlav_la-SDLVideoProvider.Tpo src/interface/sdl/content/video/$(DEPDIR)/libgingaccmbdecsdlav_la-SDLVideoProvider.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/sdl/content/video/SDLVideoProvider.cpp' object='src/interface/sdl/content/video/libgingaccmbdecsdlav_la-SDLVideoProvider.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbdecsdlav_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/sdl/content/video/libgingaccmbdecsdlav_la-SDLVideoProvider.lo `test -f 'src/interface/sdl/content/video/SDLVideoProvider.cpp' || echo '$(srcdir)/'`src/interface/sdl/content/video/SDLVideoProvider.cpp

src/interface/sdl/content/text/libgingaccmbdecsdlf_la-SDLFontProvider.lo: src/interface/sdl/content/text/SDLFontProvider.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbdecsdlf_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/sdl/content/text/libgingaccmbdecsdlf_la-SDLFontProvider.lo -MD -MP -MF src/interface/sdl/content/text/$(DEPDIR)/libgingaccmbdecsdlf_la-SDLFontProvider.Tpo -c -o src/interface/sdl/content/text/libgingaccmbdecsdlf_la-SDLFontProvider.lo `test -f 'src/interface/sdl/content/text/SDLFontProvider.cpp' || echo '$(srcdir)/'`src/interface/sdl/content/text/SDLFontProvider.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/sdl/content/text/$(DEPDIR)/libgingaccmbdecsdlf_la-SDLFontProvider.Tpo src/interface/sdl/content/text/$(DEPDIR)/libgingaccmbdecsdlf_la-SDLFontProvider.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/sdl/content/text/SDLFontProvider.cpp' object='src/interface/sdl/content/text/libgingaccmbdecsdlf_la-SDLFontProvider.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbdecsdlf_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/sdl/content/text/libgingaccmbdecsdlf_la-SDLFontProvider.lo `test -f 'src/interface/sdl/content/text/SDLFontProvider.cpp' || echo '$(srcdir)/'`src/interface/sdl/content/text/SDLFontProvider.cpp

src/interface/sdl/content/image/libgingaccmbdecsdlimg_la-SDLImageProvider.lo: src/interface/sdl/content/image/SDLImageProvider.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbdecsdlimg_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/sdl/content/image/libgingaccmbdecsdlimg_la-SDLImageProvider.lo -MD -MP -MF src/interface/sdl/content/image/$(DEPDIR)/libgingaccmbdecsdlimg_la-SDLImageProvider.Tpo -c -o src/interface/sdl/content/image/libgingaccmbdecsdlimg_la-SDLImageProvider.lo `test -f 'src/interface/sdl/content/image/SDLImageProvider.cpp' || echo '$(srcdir)/'`src/interface/sdl/content/image/SDLImageProvider.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/sdl/content/image/$(DEPDIR)/libgingaccmbdecsdlimg_la-SDLImageProvider.Tpo src/interface/sdl/content/image/$(DEPDIR)/libgingaccmbdecsdlimg_la-SDLImageProvider.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/sdl/content/image/SDLImageProvider.cpp' object='src/interface/sdl/content/image/libgingaccmbdecsdlimg_la-SDLImageProvider.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbdecsdlimg_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/sdl/content/image/libgingaccmbdecsdlimg_la-SDLImageProvider.lo `test -f 'src/interface/sdl/content/image/SDLImageProvider.cpp' || echo '$(srcdir)/'`src/interface/sdl/content/image/SDLImageProvider.cpp

src/interface/sdl/libgingaccmbsdl_la-SDLDeviceScreen.lo: src/interface/sdl/SDLDeviceScreen.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/sdl/libgingaccmbsdl_la-SDLDeviceScreen.lo -MD -MP -MF src/interface/sdl/$(DEPDIR)/libgingaccmbsdl_la-SDLDeviceScreen.Tpo -c -o src/interface/sdl/libgingaccmbsdl_la-SDLDeviceScreen.lo `test -f 'src/interface/sdl/SDLDeviceScreen.cpp' || echo '$(srcdir)/'`src/interface/sdl/SDLDeviceScreen.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/sdl/$(DEPDIR)/libgingaccmbsdl_la-SDLDeviceScreen.Tpo src/interface/sdl/$(DEPDIR)/libgingaccmbsdl_la-SDLDeviceScreen.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/sdl/SDLDeviceScreen.cpp' object='src/interface/sdl/libgingaccmbsdl_la-SDLDeviceScreen.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/sdl/libgingaccmbsdl_la-SDLDeviceScreen.lo `test -f 'src/interface/sdl/SDLDeviceScreen.cpp' || echo '$(srcdir)/'`src/interface/sdl/SDLDeviceScreen.cpp

src/interface/sdl/input/libgingaccmbsdl_la-SDLEventBuffer.lo: src/interface/sdl/input/SDLEventBuffer.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/sdl/input/libgingaccmbsdl_la-SDLEventBuffer.lo -MD -MP -MF src/interface/sdl/input/$(DEPDIR)/libgingaccmbsdl_la-SDLEventBuffer.Tpo -c -o src/interface/sdl/input/libgingaccmbsdl_la-SDLEventBuffer.lo `test -f 'src/interface/sdl/input/SDLEventBuffer.cpp' || echo '$(srcdir)/'`src/interface/sdl/input/SDLEventBuffer.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/sdl/input/$(DEPDIR)/libgingaccmbsdl_la-SDLEventBuffer.Tpo src/interface/sdl/input/$(DEPDIR)/libgingaccmbsdl_la-SDLEventBuffer.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/sdl/input/SDLEventBuffer.cpp' object='src/interface/sdl/input/libgingaccmbsdl_la-SDLEventBuffer.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/sdl/input/libgingaccmbsdl_la-SDLEventBuffer.lo `test -f 'src/interface/sdl/input/SDLEventBuffer.cpp' || echo '$(srcdir)/'`src/interface/sdl/input/SDLEventBuffer.cpp

src/interface/sdl/input/libgingaccmbsdl_la-SDLInputEvent.lo: src/interface/sdl/input/SDLInputEvent.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/sdl/input/libgingaccmbsdl_la-SDLInputEvent.lo -MD -MP -MF src/interface/sdl/input/$(DEPDIR)/libgingaccmbsdl_la-SDLInputEvent.Tpo -c -o src/interface/sdl/input/libgingaccmbsdl_la-SDLInputEvent.lo `test -f 'src/interface/sdl/input/SDLInputEvent.cpp' || echo '$(srcdir)/'`src/interface/sdl/input/SDLInputEvent.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/sdl/input/$(DEPDIR)/libgingaccmbsdl_la-SDLInputEvent.Tpo src/interface/sdl/input/$(DEPDIR)/libgingaccmbsdl_la-SDLInputEvent.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/sdl/input/SDLInputEvent.cpp' object='src/interface/sdl/input/libgingaccmbsdl_la-SDLInputEvent.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/sdl/input/libgingaccmbsdl_la-SDLInputEvent.lo `test -f 'src/interface/sdl/input/SDLInputEvent.cpp' || echo '$(srcdir)/'`src/interface/sdl/input/SDLInputEvent.cpp

src/interface/sdl/output/libgingaccmbsdl_la-SDLSurface.lo: src/interface/sdl/output/SDLSurface.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/sdl/output/libgingaccmbsdl_la-SDLSurface.lo -MD -MP -MF src/interface/sdl/output/$(DEPDIR)/libgingaccmbsdl_la-SDLSurface.Tpo -c -o src/interface/sdl/output/libgingaccmbsdl_la-SDLSurface.lo `test -f 'src/interface/sdl/output/SDLSurface.cpp' || echo '$(srcdir)/'`src/interface/sdl/output/SDLSurface.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/sdl/output/$(DEPDIR)/libgingaccmbsdl_la-SDLSurface.Tpo src/interface/sdl/output/$(DEPDIR)/libgingaccmbsdl_la-SDLSurface.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/sdl/output/SDLSurface.cpp' object='src/interface/sdl/output/libgingaccmbsdl_la-SDLSurface.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/sdl/output/libgingaccmbsdl_la-SDLSurface.lo `test -f 'src/interface/sdl/output/SDLSurface.cpp' || echo '$(srcdir)/'`src/interface/sdl/output/SDLSurface.cpp

src/interface/sdl/output/libgingaccmbsdl_la-SDLWindow.lo: src/interface/sdl/output/SDLWindow.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) -MT src/interface/sdl/output/libgingaccmbsdl_la-SDLWindow.lo -MD -MP -MF src/interface/sdl/output/$(DEPDIR)/libgingaccmbsdl_la-SDLWindow.Tpo -c -o src/interface/sdl/output/libgingaccmbsdl_la-SDLWindow.lo `test -f 'src/interface/sdl/output/SDLWindow.cpp' || echo '$(srcdir)/'`src/interface/sdl/output/SDLWindow.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) src/interface/sdl/output/$(DEPDIR)/libgingaccmbsdl_la-SDLWindow.Tpo src/interface/sdl/output/$(DEPDIR)/libgingaccmbsdl_la-SDLWindow.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='src/interface/sdl/output/SDLWindow.cpp' object='src/interface/sdl/output/libgingaccmbsdl_la-SDLWindow.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgingaccmbsdl_la_CXXFLAGS) $(CXXFLAGS) -c -o src/interface/sdl/output/libgingaccmbsdl_la-SDLWindow.lo `test -f 'src/interface/sdl/output/SDLWindow.cpp' || echo '$(srcdir)/'`src/interface/sdl/output/SDLWindow.cpp

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
	-rm -rf src/.libs src/_libs
	-rm -rf src/interface/.libs src/interface/_libs
	-rm -rf src/interface/sdl/.libs src/interface/sdl/_libs
	-rm -rf src/interface/sdl/content/audio/.libs src/interface/sdl/content/audio/_libs
	-rm -rf src/interface/sdl/content/image/.libs src/interface/sdl/content/image/_libs
	-rm -rf src/interface/sdl/content/text/.libs src/interface/sdl/content/text/_libs
	-rm -rf src/interface/sdl/content/video/.libs src/interface/sdl/content/video/_libs
	-rm -rf src/interface/sdl/input/.libs src/interface/sdl/input/_libs
	-rm -rf src/interface/sdl/output/.libs src/interface/sdl/output/_libs
install-gingaccmbconfDATA: $(gingaccmbconf_DATA)
	@$(NORMAL_INSTALL)
	@list='$(gingaccmbconf_DATA)'; test -n "$(gingaccmbconfdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(gingaccmbconfdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(gingaccmbconfdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(gingaccmbconfdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(gingaccmbconfdir)" || exit $$?; \
	done

uninstall-gingaccmbconfDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(gingaccmbconf_DATA)'; test -n "$(gingaccmbconfdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(gingaccmbconfdir)'; $(am__uninstall_files_from_dir)
install-gingaccmbincludeHEADERS: $(gingaccmbinclude_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(gingaccmbinclude_HEADERS)'; test -n "$(gingaccmbincludedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(gingaccmbincludedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(gingaccmbincludedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(gingaccmbincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(gingaccmbincludedir)" || exit $$?; \
	done

uninstall-gingaccmbincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(gingaccmbinclude_HEADERS)'; test -n "$(gingaccmbincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(gingaccmbincludedir)'; $(am__uninstall_files_from_dir)
install-interfaceincludeHEADERS: $(interfaceinclude_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(interfaceinclude_HEADERS)'; test -n "$(interfaceincludedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(interfaceincludedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(interfaceincludedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(interfaceincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(interfaceincludedir)" || exit $$?; \
	done

uninstall-interfaceincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(interfaceinclude_HEADERS)'; test -n "$(interfaceincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(interfaceincludedir)'; $(am__uninstall_files_from_dir)

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
installdirs:
	for dir in "$(DESTDIR)$(gingaccmblibdir)" "$(DESTDIR)$(gingaccmbconfdir)" "$(DESTDIR)$(gingaccmbincludedir)" "$(DESTDIR)$(interfaceincludedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-rm -f src/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/$(am__dirstamp)
	-rm -f src/interface/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/interface/$(am__dirstamp)
	-rm -f src/interface/sdl/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/interface/sdl/$(am__dirstamp)
	-rm -f src/interface/sdl/content/audio/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/interface/sdl/content/audio/$(am__dirstamp)
	-rm -f src/interface/sdl/content/image/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/interface/sdl/content/image/$(am__dirstamp)
	-rm -f src/interface/sdl/content/text/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/interface/sdl/content/text/$(am__dirstamp)
	-rm -f src/interface/sdl/content/video/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/interface/sdl/content/video/$(am__dirstamp)
	-rm -f src/interface/sdl/input/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/interface/sdl/input/$(am__dirstamp)
	-rm -f src/interface/sdl/output/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/interface/sdl/output/$(am__dirstamp)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-am

clean-am: clean-generic clean-gingaccmblibLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-am
	-rm -rf src/$(DEPDIR) src/interface/$(DEPDIR) src/interface/sdl/$(DEPDIR) src/interface/sdl/content/audio/$(DEPDIR) src/interface/sdl/content/image/$(DEPDIR) src/interface/sdl/content/text/$(DEPDIR) src/interface/sdl/content/video/$(DEPDIR) src/interface/sdl/input/$(DEPDIR) src/interface/sdl/output/$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-gingaccmbconfDATA \
	install-gingaccmbincludeHEADERS \
	install-gingaccmblibLTLIBRARIES \
	install-interfaceincludeHEADERS

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf src/$(DEPDIR) src/interface/$(DEPDIR) src/interface/sdl/$(DEPDIR) src/interface/sdl/content/audio/$(DEPDIR) src/interface/sdl/content/image/$(DEPDIR) src/interface/sdl/content/text/$(DEPDIR) src/interface/sdl/content/video/$(DEPDIR) src/interface/sdl/input/$(DEPDIR) src/interface/sdl/output/$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-gingaccmbconfDATA \
	uninstall-gingaccmbincludeHEADERS \
	uninstall-gingaccmblibLTLIBRARIES \
	uninstall-interfaceincludeHEADERS

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
	clean-gingaccmblibLTLIBRARIES clean-libtool cscopelist-am \
	ctags ctags-am distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-gingaccmbconfDATA \
	install-gingaccmbincludeHEADERS \
	install-gingaccmblibLTLIBRARIES install-html install-html-am \
	install-info install-info-am install-interfaceincludeHEADERS \
	install-man install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
	uninstall-am uninstall-gingaccmbconfDATA \
	uninstall-gingaccmbincludeHEADERS \
	uninstall-gingaccmblibLTLIBRARIES \
	uninstall-interfaceincludeHEADERS

  $(NULL)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
